
    <p-panel>
        <p-header>
            Unit Check
        </p-header>

        <div class="modal-body">
            <div class="row">
                <div class="col-md-9 col-sm-9 col-xs-9">
                    <div class="form-group">
                        <label>No Shipping List</label>
                        <input type="text" class="form-control" name="SLNumber" id="field_SLNumber" 
                        [(ngModel)]="selectedSLNumber" [readonly]="true"/>
                    </div>
                </div>
                <div class="col-md-3" style="padding-top:30px">
                    <button pButton type="button"
                        (click)="open()"
                        label="Find ShippingList"
                        icon ="fa fa-search"
                        class="ui-button-danger btn-sm"
                        [routerLink]="['/', { outlets: { popup: 'shipment-incoming-unit-check-lov/[10,11]'}}]">
                    </button>
                </div>
            </div>
            <p-dataTable
                [value]="unitChecks">
                <p-header>
                    <div *ngIf="isOpen">
                        <div class="text-left">
                            <p-accordion class="filter-accordion" expandIcon="fa fa-search-plus" collapseIcon="fa fa-search-minus" [activeIndex]="index">
                                <p-accordionTab header="Filter" [selected]="true">
                                <div class="row">
                                    <div class="col-md-6">
                                        <div class="form-group">
                                            <label>Nomor Rangka</label>
                                            <input type="text"  pInputText class="form-control" name="inputIdFrame" id="field_inputIdFrame" 
                                            [(ngModel)]="inputIdFrame"/>
                                        </div>
                                    </div>
                                    <div class="col-md-6">
                                        <div class="form-group">
                                            <label>Nomor Mesin</label>
                                            <input type="text"  pInputText class="form-control" name="inputIdMachine" id="field_inputIdMachine" 
                                            [(ngModel)]="inputIdMachine"/>
                                        </div>
                                    </div>
                                </div>
                                <div class="btn-filter-wrapper">
                                    <button type="button" class="btn btn-primary" (click)="checkUnitOnSL()">
                                        <span>CHECK</span>
                                    </button>
                                    <button type="button" class="btn btn-primary" (click)="addData()" [disabled]="addDataBtnDisable()">
                                        <span>ENTER</span>
                                    </button>
                                </div>
                                </p-accordionTab>
                            </p-accordion>
                        </div>
                    </div>
                </p-header>
                <p-column header="{{'global.field.sequence'|translate}}" [style]="{'width': '70px', 'text-align': 'center'}">
                    <ng-template let-rowIndex="rowIndex" pTemplate="body">
                        {{rowIndex + 1}}
                    </ng-template>
                </p-column>
                <p-column header="{{'mpmApp.unitShipmentReceipt.idFrame'|translate}}">
                    <ng-template let-rowData="rowData" pTemplate="body">
                        {{rowData.idFrame}}
                    </ng-template>
                </p-column>
                <p-column header="{{'mpmApp.unitShipmentReceipt.idMachine'|translate}}">
                    <ng-template let-rowData="rowData" pTemplate="body">
                        {{rowData.idMachine}}
                    </ng-template>
                </p-column>
                <p-column header="Aksi" [style]="{'width': '70px', 'text-align': 'center'}">
                    <ng-template let-rowIndex="rowIndex" pTemplate="body">
                        <button pButton type="button"
                            icon="fa-trash-o"
                            class="flat-button"
                            pTooltip="Remove"
                            (click)="removeData(rowIndex)"
                            >
                        </button>
                    </ng-template>
                </p-column>
            </p-dataTable>
        </div>
        <p-footer>
            <button pButton type="button" (click)="previousState()"
                label="{{'entity.action.cancel' | translate}}" 
                icon="fa-ban"
                class="ui-button-danger flat-label-button">
            </button>
            <button pButton [disabled]="!isSaving"
                label="Submit" 
                icon="fa-save"
                (click)="save()"
                class="ui-button-primary flat-label-button">
            </button>
        </p-footer>
    </p-panel>